`ifndef CONFIG_SVH
`define CONFIG_SVH

// in MHz
`define CLK_FREQ 200_000_000

`define WB_ADDRESS_WIDTH 32
`define WB_DATA_WIDTH 32
`define WB_TAG_WIDTH 0

`define FFPG_BASE_ADDR ('h 20000)

// in bits
`define STREAM_SIZE 65536

`include "ffpg_csr.svh"

`define GET_WB_WORD_ADDR(WB_BYTE_ADDR) (`FFPG_BASE_ADDR + (WB_BYTE_ADDR/(`WB_DATA_WIDTH/8)))

`endif //CONFIG_SVH
