`define ADDR_FFPG_STATUS               16'h0
`define FFPG_STATUS_CLOCK_INFRASTRUCTURE_BUSY_OFFSET 0
`define FFPG_STATUS_CLOCK_INFRASTRUCTURE_BUSY 32'h00000001
`define FFPG_STATUS_DAC_VCXO_BUSY_OFFSET 1
`define FFPG_STATUS_DAC_VCXO_BUSY 32'h00000002
`define FFPG_STATUS_DAC_TRIGGER_BUSY_OFFSET 2
`define FFPG_STATUS_DAC_TRIGGER_BUSY 32'h00000004
`define FFPG_STATUS_CLOCK_SELECTION_BUSY_OFFSET 3
`define FFPG_STATUS_CLOCK_SELECTION_BUSY 32'h00000008
`define FFPG_STATUS_DELAY_CONFIGURATION_BUSY_OFFSET 4
`define FFPG_STATUS_DELAY_CONFIGURATION_BUSY 32'h00000010
`define FFPG_STATUS_CHANNEL_1_OE_OFFSET 5
`define FFPG_STATUS_CHANNEL_1_OE 32'h00000020
`define FFPG_STATUS_CHANNEL_2_OE_OFFSET 6
`define FFPG_STATUS_CHANNEL_2_OE 32'h00000040
`define FFPG_STATUS_CHANNEL_1_RUNNING_OFFSET 7
`define FFPG_STATUS_CHANNEL_1_RUNNING 32'h00000080
`define FFPG_STATUS_CHANNEL_2_RUNNING_OFFSET 8
`define FFPG_STATUS_CHANNEL_2_RUNNING 32'h00000100
`define ADDR_FFPG_CONTROL              16'h4
`define FFPG_CONTROL_CLOCK_SELECTION_OFFSET 0
`define FFPG_CONTROL_CLOCK_SELECTION 32'h00000003
`define FFPG_CONTROL_CH1_OE_OFFSET 2
`define FFPG_CONTROL_CH1_OE 32'h00000004
`define FFPG_CONTROL_CH2_OE_OFFSET 3
`define FFPG_CONTROL_CH2_OE 32'h00000008
`define FFPG_CONTROL_CH1_MODE_OFFSET 4
`define FFPG_CONTROL_CH1_MODE 32'h00000030
`define FFPG_CONTROL_CH2_MODE_OFFSET 6
`define FFPG_CONTROL_CH2_MODE 32'h000000c0
`define ADDR_FFPG_VCXO_VOLTAGE         16'h8
`define ADDR_FFPG_CLOCK_DIVIDER        16'hc
`define FFPG_CLOCK_DIVIDER_LO_OFFSET 0
`define FFPG_CLOCK_DIVIDER_LO 32'h0000000f
`define FFPG_CLOCK_DIVIDER_HI_OFFSET 4
`define FFPG_CLOCK_DIVIDER_HI 32'h000000f0
`define ADDR_FFPG_CH1_DELAY_SET        16'h10
`define ADDR_FFPG_CH1_DELAY_RESET      16'h14
`define ADDR_FFPG_CH2_DELAY_SET        16'h18
`define ADDR_FFPG_CH2_DELAY_RESET      16'h1c
`define ADDR_FFPG_TRIGGER_THRESHOLD    16'h20
`define ADDR_FFPG_OVERFLOW             16'h24
`define ADDR_FFPG_TRIGGER_LATENCY      16'h28
`define ADDR_FFPG_FREQUENCY            16'h2c
`define BASE_FFPG_CH1_SET_MEM          16'h2000
`define SIZE_FFPG_CH1_SET_MEM          32'h800
`define BASE_FFPG_CH1_RES_MEM          16'h4000
`define SIZE_FFPG_CH1_RES_MEM          32'h800
`define BASE_FFPG_CH2_SET_MEM          16'h6000
`define SIZE_FFPG_CH2_SET_MEM          32'h800
`define BASE_FFPG_CH2_RES_MEM          16'h8000
`define SIZE_FFPG_CH2_RES_MEM          32'h800
